<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
<link rel="stylesheet" type="text/css" href="popup.css" />
<script language="JavaScript" src="gen_validatorv4.js"  type="text/javascript" xml:space="preserve"></script>
<?php

//include('../include/db.php');
include('../include/session.php');	
include('../include/formValidations.php');
require_once('../include/tc_calendar_2.php');

$emp_id = $_GET['emp_id'];
$field =$_GET['field'];

$table_name = $_SESSION['db_prefix']."_employee";
$employee_query = "SELECT $field FROM $table_name WHERE emp_id ='".$emp_id."' ";
$employee_result = mySQL_query($employee_query);
$value = mysql_result($employee_result, 0, "$field");

$date = strtotime($value);
$d = date("d", $date ) ;
$m = date("m", $date ) ;
$y = date("Y", $date ) ;

?>
<script type="text/javascript">
function stopRKey(evt) {
  var evt = (evt) ? evt : ((event) ? event : null);
  var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);
  if ((evt.keyCode == 13) && (node.type=="text"))  {return false;}
}
document.onkeypress = stopRKey;
</script> 

<script type="text/javascript">
<!--
function MM_goToURL() { //v3.0
  var i, args=MM_goToURL.arguments; document.MM_returnValue = false;
  for (i=0; i<(args.length-1); i+=2) eval(args[i]+".location='"+args[i+1]+"'");
}
function MM_callJS(jsStr) { //v2.0
  return eval(jsStr)
}
//-->
</script>

<script language="javascript" src="../jscript/calendar.js"></script>

 
<link href="../css/popup.css" rel="stylesheet" type="text/css" />
</head>
<form action="../hr_module/employee_details_edit.php" method="get" name="form1" target="_top" id="form1">
<body onload="document.getElementById(;MM_callJS('document.getElementById(\'quantityText\').focus();')"editText").focus();">
<table width="290" border="0" align="center" cellpadding="0" cellspacing="0" class="list2">
  <tr>
    <td width="290" align="center"><p>
      <label class="std">Edit the date and click "Edit"<br />
If you don't want to change, click "Cancel"</label>
      <br />
      <?php 
				  //instantiate class and set properties
		$myCalendar = new tc_calendar("editText", true);
		//$myCalendar->setIcon("../images/iconCalendar.gif");
		$myCalendar->setDate($d, $m, $y);
		$myCalendar->setYearInterval(1970, 2030);
		//output the calendar
		$myCalendar->writeScript();
?>
      <input name="edit" type="hidden" id="edit" value="1"  />
    <input name="emp_id" type="hidden" id="emp_id" value="<?php echo $emp_id ?>" />
    <input name="field" type="hidden" id="field" value="<?php echo $field ?>" />
    <br /></p></td>
  </tr>
  <tr>
    <td align="center"><br />
      <input name="input" type="submit" value="Edit" class="imagebutton"  />
      <input name="button" type="button" class="imagebutton" id="button" onclick="MM_goToURL('parent','../hr_module/employee_details_edit.php?emp_id=<?php echo $emp_id ?>&edit=0');return document.MM_returnValue"  value="Cancel" /></form>
    </td>
  </tr>
</table>

<script language="JavaScript" type="text/javascript" xml:space="preserve">
  var frmvalidator  = new Validator("form1");
  frmvalidator.EnableMsgsTogether();
  frmvalidator.addValidation("ProductSelect","req","Please select a product.");
  frmvalidator.addValidation("QuantityText","req","Please enter the quantity.");
    
    
    
   


  
</script>
</body>
</html>